# apkg overview

**apkg** is a free and open source minimalist cross-distro **upstream packaging
automation tool** aimed at producing high quality native packages for many
different OS distributions/packaging systems directly from upstream sources with
minimum overhead while respecting individual distro's standards and policies.

**[apkg intro](intro.md)**

## status

`apkg` is in **beta**, maturing towards `v1.0` 🚀

**[apkg news](news.md)**

Several projects [use apkg](users.md) in CI as well as in manual development and
testing.

[apkg CI](https://gitlab.nic.cz/packaging/apkg/-/pipelines) runs tests
on multiple projects across supported distros.

* [source code](https://gitlab.nic.cz/packaging/apkg)
* [issues](https://gitlab.nic.cz/packaging/apkg/-/issues) (bugs and requests)
* [merge requests](https://gitlab.nic.cz/packaging/apkg/-/merge_requests)

Patches, issues, comments, and other contributions are welcome **ᕕ( ᐛ )ᕗ**


## installation

**[installation docs](install.md)**


## usage

**[packaging guide](guide.md)**


## bug reports, feature requests, contact

Use [gitlab issues](https://gitlab.nic.cz/packaging/apkg/-/issues)
to communicate anything you have in mind including bugs and improvements.

Feedback is most appreciated!
